# List

### GET /avatars/{AVATAR\_ID}/renderings

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/renderings"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X GET "https://api.loomai.com/v0.5/avatars/5723980430835712/renderings"
```

{% endtab %}
{% endtabs %}

#### Response

On success the endpoint returns HTTP 200 OK as well as a JSON body containing a list of rendered poses & animations.

{% tabs %}
{% tab title="Schema" %}

```javascript
{
  "entries": [
    {
      "id": int64,
      "random": int32,
      "type": "string",
      "pose": "string",
      "animation": "string",
      "attachment": {
        "id": int64,
        "width": int32,
        "height": int32,
        "channels": int32,
        "url": "string"
      }
    },
    ...
  ]
}
```

{% endtab %}

{% tab title="Example" %}

```javascript
{
  "entries": [
    {
      "id": 6476783722954752,
      "random": 0,
      "type": "preview",
      "pose": "neutral",
      "animation": "",
      "attachment": {
        "id": 5745273952796672,
        "width": 256,
        "height": 256,
        "channels": 3,
        "url": "/v0.5/avatars/5723980430835712/attachments/5745273952796672?redirect=true"
      }
    },
    {
      "id": 6476783722954732,
      "random": 0,
      "type": "animation",
      "pose": "",
      "animation": "idle",
      "attachment": {
        "id": 5745273952796642,
        "width": 256,
        "height": 256,
        "channels": 3,
        "url": "/v0.5/avatars/5723980430835712/attachments/5745273952796642?redirect=true"
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}
